Cyberduck Mountain Duck CLI

#9997 closed defect (worksforme)

Vault version mismatch

Reported by: duglin Owned by: yla
Priority: normal Milestone:
Component: cryptomator Version: 6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by duglin)

Hi, I installed cryptomator v1.2.4 over the weekend and put some stuff into a vault in my cloud storage account. Today I installed cyberduck v6.1.0 to view those vaults and everything seemed to work just fine. But then I went back into my cryptomator and I can't get into those same vaults now because it says the vaults were encrypted using a newer version of cryptomator.

So I have two questions... 1 - what version of cryptomator does cyberduck v6.1.0 use? since it seems odd that it would be newer than the latest version that I can download. 2 - why did cyberduck do something to change the version of cryptomator on those vaults? Shouldn't it just be a read-only action if I never actually modified anything in the vault?

Change History (7)

comment:1 Changed on Jun 30, 2017 at 6:23:15 PM by duglin

  • Description modified (diff)
  • Version set to 6.0.1

comment:2 Changed on Jul 1, 2017 at 6:43:52 AM by dkocher

  • Component changed from core to cryptomator
  • Owner set to yla
  • Summary changed from cryptomator version mismatch to Vault version mismatch

comment:3 Changed on Jul 1, 2017 at 6:45:49 AM by dkocher

We opted to upgrade the vault format silently because the change is minimal but will have a prompt to confirm for future vault upgrades. The vault format for Cryptomator changes to version 6 in Cryptomator 1.3. See https://github.com/cryptomator/cryptomator/releases. Cryptomator 1.3.0 should be released very soon to restore compatibility.

comment:4 Changed on Jul 1, 2017 at 6:46:18 AM by dkocher

  • Version changed from 6.0.1 to 6.1

comment:5 Changed on Jul 1, 2017 at 6:46:44 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:6 Changed on Jul 3, 2017 at 7:24:07 AM by dkocher

Cryptomator 1.3.0 is now available.

comment:7 Changed on Jul 3, 2017 at 11:38:22 AM by duglin

Yup - I noticed. thanks!!

Note: See TracTickets for help on using tickets.
swiss made software